/*
** EXECUTE.C - This is the module containing the code for SQL for
** executing SQL Commands.
**
*/

//      -       -       -       -       -       -       -       -       -

#include "sample.h"

//      -       -       -       -       -       -       -       -       -

//  Execute a prepared SQL statement

RETCODE SQL_API SQLExecute(
	LPSTMT  lpstmt)                 // statement to execute.
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//  Performs the equivalent of SQLPrepare, followed by SQLExecute.

RETCODE SQL_API SQLExecDirect(
	LPSTMT  lpstmt,
	UCHAR FAR *szSqlStr,
	SDWORD  cbSqlStr)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//  Returns the SQL string as modified by the driver.

RETCODE SQL_API SQLNativeSql(
	LPSTMT  lpstmt,
	UCHAR FAR *szSqlStrIn,
	SDWORD  cbSqlStrIn,
	UCHAR FAR *szSqlStr,
	SDWORD  cbSqlStrMax,
	SDWORD FAR *pcbSqlStr)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//  Supplies parameter data at execution time.  Used in conjuction with
//  SQLPutData.

RETCODE SQL_API SQLParamData(
	LPSTMT  lpstmt,
    PTR FAR *prbgValue)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//  Supplies parameter data at execution time.  Used in conjunction with
//  SQLParamData.

RETCODE SQL_API SQLPutData(
	LPSTMT  lpstmt,
	PTR     rgbValue,
	SDWORD  cbValue)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

RETCODE SQL_API SQLCancel(
	LPSTMT  lpstmt)         // Statement to cancel.
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -
