/*
** RESULTS.C - This is the module containing the code for ODBC for
** returning results and information about results.
**
*/

//      -       -       -       -       -       -       -       -       -

#include "sample.h"

//      -       -       -       -       -       -       -       -       -

//      This returns the number of columns associated with the database
//      attached to "lpstmt".

RETCODE SQL_API SQLNumResultCols(
	LPSTMT  lpstmt,
	SWORD FAR *pccol)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      Return information about the database column the user wants
//      information about.

RETCODE SQL_API SQLDescribeCol(
	LPSTMT  lpstmt,
	UWORD   icol,
	UCHAR FAR *szColName,
	SWORD   cbColNameMax,
	SWORD FAR *pcbColName,
	SWORD FAR *pfSqlType,
	UDWORD FAR *pcbColDef,
	SWORD FAR *pibScale,
	SWORD FAR *pfNullable)
{
    return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      Returns result column descriptor information for a result set.

RETCODE SQL_API SQLColAttributes(
	LPSTMT  lpstmt,
	UWORD   icol,
    UWORD   fDescType,
    UCHAR FAR *rgbDesc,
	SWORD   cbDescMax,
	SWORD FAR *pcbDesc,
	SDWORD FAR *pfDesc)
{
    return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      Associate a user-supplied buffer with a database column.

RETCODE SQL_API SQLBindCol(
	LPSTMT  lpstmt,
	UWORD   icol,
	SWORD   fCType,
	PTR     rgbValue,
	SDWORD  cbValueMax,
	SDWORD FAR *pcbValue)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      Returns data for bound columns in the current row ("lpstmt->iCursor"),
//      advances the cursor.

RETCODE SQL_API SQLFetch(
	LPSTMT  lpstmt)
{
	return SQL_SUCCESS;
}

//  Returns result data for a single column in the current row.

RETCODE SQL_API SQLGetData(
	LPSTMT  lpstmt,
	UWORD   icol,
	SWORD   fCType,
	PTR         rgbValue,
	SDWORD  cbValueMax,
	SDWORD FAR *pcbValue)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      This determines whether there are more results sets available for
//  the "lpstmt".

RETCODE SQL_API SQLMoreResults(
	LPSTMT  lpstmt)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      This returns the number of rows associated with the database
//      attached to "lpstmt".

RETCODE SQL_API SQLRowCount(
	LPSTMT  lpstmt,
	SDWORD FAR *pcrow)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      This positions the cursor within a block of data.

RETCODE SQL_API SQLSetPos(
	LPSTMT  lpstmt,
    UWORD   irow,
    BOOL    fRefresh,
    BOOL    fLock)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//      This fetchs a block of data (rowset).

RETCODE SQL_API SQLExtendedFetch(
	LPSTMT  lpstmt,
    UWORD   fFetchType,
    SDWORD  irow,
	UDWORD FAR *pcrow,
    UWORD FAR *rgfRowStatus)
{
	return SQL_SUCCESS;
}

//      -       -       -       -       -       -       -       -       -

//  Returns the next SQL error information.

RETCODE SQL_API SQLError(
	LPENV   lpenv,
	LPDBC   lpdbc,
	LPSTMT  lpstmt,
	UCHAR FAR *szSqlState,
	SDWORD FAR *pfNativeError,
	UCHAR FAR *szErrorMsg,
	SWORD   cbErrorMsgMax,
	SWORD FAR *pcbErrorMsg)
{
	return SQL_NO_DATA_FOUND;
}
